/* @(#)receive.h	1.4 93/10/27  */

#ifndef RECEIVE_H
#define RECEIVE_H

#include <sys/types.h>
#include <netinet/in.h>
#include <poll.h>

#include "window_state.h"

typedef struct {
    int socket;
    struct sockaddr_in name;
} ReceiveState;

struct pollfd pollfds;

extern ReceiveState *initialize_receive(Parameters * param);
extern int 
receive_packet(WindowState * ws, ReceiveState * receiver,
	       PacketType * packet);
extern void close_receive(ReceiveState * receiver);

#endif				/* RECEIVE_H */
